PKGJS-INSTALL(1)

NAME
pkgjs-install - pkgjs-install

DESCRIPTION
Install all dependencies of a JS project using Debian dependencies when available.

OPTIONS

-h, --help: print this

--install: launch install-command if some Debian packages are missing

--ignore: ignore missing Debian packages

--install-command: command to install mising packages. Default:
    "--install-command 'sudo apt install'"

--no-link: don't link JS modules from Debian directories

--copy: copy modules instead of link them

--regenerate: force package-lock.json regeneration

--prod: don't install dev dependencies

--all: don't remove sub-dependencies of Debian packages (link them and install wanted dependencies)

--strict: download JS module if Debian version mismatch (using semver)

--no-package-lock: calculate dependencies without npm, implies --no-download. This permits to use pkgjs-install without network connection

--audit: don't install or download anything, just print result

--no-download: only links available JS modules, don't download anything